MARKETPLACE_PACKAGE_LIST(1)

NAME
marketplace_package_list -

DESCRIPTION

Gets the list of packages for a listing.

USAGE

oci marketplace package list [OPTIONS]

REQUIRED PARAMETERS

--listing-id [text]

    The unique identifier for the listing.

OPTIONAL PARAMETERS

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    How many records to return. Specify a value greater than zero and less than or equal to 1000. The default is 30.

--package-type [text]

    A filter to return only packages that match the given package type exactly.

--package-version [text]

    The version of the package. Package versions are unique within a listing.

--page [text]

    The value of the opc-next-page response header from the previous "List" call.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field to use to sort listed results. You can only specify one field to sort by. TIMERELEASED displays results in descending order by default. You can change your preference by specifying a different sort order.

    Accepted values are:

    TIMERELEASED

--sort-order [text]

    The sort order to use, either ASC or DESC.

    Accepted values are:

    ASC, DESC

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle